<template lang="pug">
DBCollapsible.x-doc-list(ref='db' title='Documents' source='documents'
                         :parentItem='parentItem' :parentType='parentType'
                         :query='{ sort: "id:desc" }')
  template(v-slot:default='d')
    .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-doc(v-for='doc in d.rows')
      div
        a.text-primary.align-self-center(
          :href='`${$utils.currentUrl()}/db/documents/item/${doc.id}/streams/document`'
          :download='doc.name') {{ doc.title || doc.name }}
        span.ml-2.d-none.d-lg-inline.text-muted [{{ doc.name }} - {{ doc.size | b-byteSize }}]
      button.btn.btn-sm.btn-outline-danger.mx-1.x-delete(v-if="inEdit" @click='doDelete($event, doc.id)' title='Delete Document')
        i.fa.fa-trash
    .col-12.d-flex.justify-content-end.mt-1.x-add-form(v-if='inEdit')
      button.btn.btn-sm.btn-primary(@click='doAdd($event)' title='Add Document')
        i.fa.fa-plus-square
      BaseDialog(ref='deleteModal' title='Delete Document')
        p This will permanently delete the document
        p.mb-0 Do you confirm this action ?
      BaseDialog(ref='addModal' title='Add Document')
        .row.b-param-container
          BaseParamInput.col-12.mb-3(ref='titleInput' title='title' :inEdit='true')
          BaseParamFile.col-12.mb-3.x-file-input(ref='fileInput' title='file' :inEdit='true' required @edit='onFileInput()')
        template(v-slot:footer='dialog')
          button.btn.btn-secondary(@click='dialog.resolve(false)') Cancel
          button.btn.btn-primary(ref='fileSubmit' @click='dialog.resolve(true)' disabled='disabled') Submit
</template>
<script>

export { default } from './DocumentsList.vue.js';

</script>
